Bug 893438

Summary: [abrt] libreoffice-core-3.6.3.2-8.fc18: sd::toolpanel::controls::MasterPagesSelector::AssignMasterPageToAllSlides: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Bart Ratgers <bart>
Component: libreofficeAssignee: Caolan McNamara <caolanm>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: caolanm, dtardon, erack, ltinkl, mstahl, sbergman
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: abrt_hash:a63ce8a0afe2965fcc8c7e0c8b9d71024cc325e0
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-03 10:07:20 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description Bart Ratgers 2013-01-09 05:49:33 EST
Description of problem:
After applying (option: Apply to all Slides) a copied master slide from another presentation to all slides Impress crashed.

Version-Release number of selected component:
libreoffice-core-3.6.3.2-8.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress '/home/bart/Dropbox/TOGAF Certified/ITMG 201211/TOGAF Practitioner - Preliminary.odp' --splash-pipe=6
crash_function: sd::toolpanel::controls::MasterPagesSelector::AssignMasterPageToAllSlides
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.6.11-3.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sd::toolpanel::controls::MasterPagesSelector::AssignMasterPageToAllSlides at /usr/src/debug/libreoffice-3.6.3.2/sd/source/ui/toolpanel/controls/MasterPagesSelector.cxx:354
 #1 sd::toolpanel::controls::MasterPagesSelector::Execute at /usr/src/debug/libreoffice-3.6.3.2/sd/source/ui/toolpanel/controls/MasterPagesSelector.cxx:529
 #2 CallExec at /usr/src/debug/libreoffice-3.6.3.2/sfx2/inc/sfx2/shell.hxx:199
 #3 SfxDispatcher::Call_Impl at /usr/src/debug/libreoffice-3.6.3.2/sfx2/source/control/dispatch.cxx:260
 #4 SfxBindings::Execute_Impl at /usr/src/debug/libreoffice-3.6.3.2/sfx2/source/control/bindings.cxx:1287
 #5 SfxDispatchController_Impl::dispatch at /usr/src/debug/libreoffice-3.6.3.2/sfx2/source/control/unoctitm.cxx:748
 #6 SfxOfficeDispatch::dispatch at /usr/src/debug/libreoffice-3.6.3.2/sfx2/source/control/unoctitm.cxx:377
 #7 SfxAsyncExec_Impl::TimerHdl at /usr/src/debug/libreoffice-3.6.3.2/sfx2/source/control/bindings.cxx:134
 #8 Timer::ImplTimerCallbackProc at /usr/src/debug/libreoffice-3.6.3.2/vcl/source/app/timer.cxx:143
 #9 CallCallback at /usr/src/debug/libreoffice-3.6.3.2/vcl/inc/saltimer.hxx:66
Comment 1 Bart Ratgers 2013-01-09 05:49:51 EST
Created attachment 675417 [details]
File: backtrace
Comment 2 Bart Ratgers 2013-01-09 05:49:53 EST
Created attachment 675418 [details]
File: cgroup
Comment 3 Bart Ratgers 2013-01-09 05:49:55 EST
Created attachment 675419 [details]
File: core_backtrace
Comment 4 Bart Ratgers 2013-01-09 05:49:57 EST
Created attachment 675420 [details]
File: dso_list
Comment 5 Bart Ratgers 2013-01-09 05:49:59 EST
Created attachment 675421 [details]
File: environ
Comment 6 Bart Ratgers 2013-01-09 05:50:02 EST
Created attachment 675422 [details]
File: limits
Comment 7 Bart Ratgers 2013-01-09 05:50:06 EST
Created attachment 675423 [details]
File: maps
Comment 8 Bart Ratgers 2013-01-09 05:50:08 EST
Created attachment 675424 [details]
File: open_fds
Comment 9 Bart Ratgers 2013-01-09 05:50:11 EST
Created attachment 675425 [details]
File: proc_pid_status
Comment 10 Bart Ratgers 2013-01-09 05:50:13 EST
Created attachment 675426 [details]
File: var_log_messages
Comment 11 Caolan McNamara 2013-01-09 11:39:18 EST
Can you give a step by step which triggers the crash ?
Comment 12 Bart Ratgers 2013-01-16 10:06:14 EST
First I copied a slide from another presentation to the current one. Within the the current presentation there are two master slides exist with different names. After that I applied the copied master slide to all slides within the current presentation.
Comment 13 David Tardon 2013-05-03 10:07:20 EDT
Probably the same issue as that upstream bug. We would close this anyway, so I chose UPSTREAM over INSUFFICIENT_DATA.